> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domoai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task



## OpenAPI

````yaml GET /v1/tasks/{task_id}
openapi: 3.1.0
info:
  title: DomoAI Enterprise API
  version: 0.15.0
  description: >-
    When an organization is in the BANNED state, Open APIs authenticated with a
    valid API key whose organization is banned return HTTP 403 with error code
    4002 and message "Organization is banned".
servers:
  - url: https://api.domoai.com
security: []
paths:
  /v1/tasks/{task_id}:
    get:
      tags:
        - Video Task
      summary: Get Task
      operationId: get_task_v1_tasks__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomoOut_VideoTaskOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DomoOut_VideoTaskOut_:
      properties:
        code:
          type: integer
          title: Code
          default: 0
        data:
          $ref: '#/components/schemas/VideoTaskOut'
      type: object
      required:
        - data
      title: DomoOut[VideoTaskOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VideoTaskOut:
      properties:
        task_id:
          type: string
          format: uuid
          title: Task Id
        id:
          type: string
          format: uuid
          title: Id
        status:
          $ref: '#/components/schemas/TaskStatus'
        category:
          $ref: '#/components/schemas/TaskCategory'
        callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Callback Url
        seconds:
          type: integer
          title: Seconds
        output_videos:
          items:
            $ref: '#/components/schemas/DomoVideoOut'
          type: array
          title: Output Videos
        credits:
          type: integer
          title: Credits
        inputs:
          additionalProperties: true
          type: object
          title: Inputs
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - task_id
        - id
        - status
        - category
        - callback_url
        - seconds
        - output_videos
        - credits
        - inputs
        - created_at
      title: VideoTaskOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TaskStatus:
      type: string
      enum:
        - PENDING
        - QUEUING
        - PROCESSING
        - SUCCESS
        - FAILED
        - CANCELED
      title: TaskStatus
    TaskCategory:
      type: string
      enum:
        - TEXT_TO_VIDEO
        - IMAGE_TO_VIDEO
        - VIDEO_TO_VIDEO
        - TEMPLATE_TO_VIDEO
        - TALKING_AVATAR
      title: TaskCategory
    DomoVideoOut:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
        width:
          type: integer
          title: Width
        height:
          type: integer
          title: Height
      type: object
      required:
        - url
        - width
        - height
      title: DomoVideoOut
  securitySchemes:
    HTTPBearer:
      type: http
      description: API Key Bearer Token
      scheme: bearer

````